# $Header: /home/hiro/projects/dvr2/RCS/ccid.mk,v 1.2 2012/07/13 23:03:20 hiro Exp $
#
# ccid.mk
#
#	== Project DVR2 ==
#
#	Makefile fragment for ccid downgrade package intallation
#
#	Copyright (c) 2011 Hiro Sugawara
#

ifndef RHOST
$(error RHOST not defined.)
endif

SSH	?= ssh $(SSHOPTIONS) $(RHOST)

CCID-URL := http://arm.koji.fedoraproject.org/packages/ccid/1.3.13/1.fc14/src/ccid-1.3.13-1.fc14.src.rpm

CCID-INSTALL: CCID-VERSION-CHECK
	$(SSH) yum -y remove ccid
	$(SSH) rpmbuild --rebuild --nodeps $(CCID-URL)
	$(SSH) yum -y install pcsc-tools

CCID-VERSION-CHECK:
	$(SSH) uname -r | grep -i fc14 ||	\
		{ echo "Not FC14 - no need to downgrade"; false }

## ccid coolkey coolkey-devel pcsc-lite pcsc-tools

DIST-FILES	+= $(CWD)/ccid.mk
